package org.positrium.waket;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class DefaultDataServerMapperImpl implements DataServerMapper {
	public static Log logger = LogFactory.getLog(DefaultDataServerMapperImpl.class);
	
	public List<DataServerHandler> handleList = new ArrayList<DataServerHandler>();
	
	@Override
	public List<DataServerHandler> getHandleList() {
		return this.handleList;
	}

	@Override
	public void addHandler(DataServerHandler handler){
		this.handleList.add(handler);
		logger.info("add custome handler: "+handler.getUri());
	}
}
